Package org.codehaus.janino

# Interface Java.Modifier

All Superinterfaces:
  `Java.Locatable`

All Known Subinterfaces:
  `Java.Annotation`

All Known Implementing Classes:
  `Java.AbstractAnnotation`, `Java.AccessModifier`, `Java.MarkerAnnotation`, `Java.NormalAnnotation`, `Java.SingleElementAnnotation`

Enclosing class:
  `Java`

public static interface Java.Modifier extends Java.Locatable
Base for the various modifiers (access modifiers, annotations).

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.ModifierVisitor<R,EX> modifierVisitor)`
Invokes the "`visit...()`" method of `Visitor.ModifierVisitor` for the concrete `Java.Modifier` type.

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Method Details

### accept

@Nullable <R, EX extends Throwable> R accept(Visitor.ModifierVisitor<R,EX> modifierVisitor) throws EX
Invokes the "`visit...()`" method of `Visitor.ModifierVisitor` for the concrete `Java.Modifier` type.

Throws:
  `EX`